use super::*;

pub async fn on_get_character_quest_list(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetCharacterQuestListCsReq,
) -> NetResult<GetCharacterQuestListScRsp> {
    Ok(GetCharacterQuestListScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}

pub async fn on_get_photo_wall_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetPhotoWallDataCsReq,
) -> NetResult<GetPhotoWallDataScRsp> {
    Ok(GetPhotoWallDataScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}
